
/*
 *  Copyright (c) 2018, Oracle and/or its affiliates. All rights reserved.
*/
package oracle.sample;

import oracle.sample.resource.AppResource;

import javax.ws.rs.ApplicationPath;
import javax.ws.rs.core.Application;
import java.util.HashSet;
import java.util.Set;

/**
 * <p>
 * </p>
 *
 * @author velsubra
 */
@ApplicationPath("test")
public class JaxRsApplication extends Application {

    public Set<Class<?>> getClasses() {
        Set<Class<?>> set = new HashSet<Class<?>>();
        set.add(AppResource.class);
        set.add(JaxbContentResolver.class);
        return set;
    }
}
